<html>
<head>
<title>OGRE: OgreResourceManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreResourceManager.h</h1><a href="OgreResourceManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef _ResourceManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define _ResourceManager_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreResource_8h.html">OgreResource.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>"</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include "<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>"</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include "<a class="code" href="OgreDataStream_8h.html">OgreDataStream.h</a>"</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include "<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>"</span>
<a name="l00040"></a>00040 <span class="preprocessor">#include "<a class="code" href="OgreScriptLoader_8h.html">OgreScriptLoader.h</a>"</span>
<a name="l00041"></a>00041 
<a name="l00042"></a>00042 <span class="keyword">namespace </span>Ogre {
<a name="l00043"></a>00043 
<a name="l00068"></a><a class="code" href="classOgre_1_1ResourceManager.html">00068</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptLoader.html" title="Abstract class defining the interface used by classes which wish to perform script...">ScriptLoader</a>
<a name="l00069"></a>00069     {
<a name="l00070"></a>00070     <span class="keyword">public</span>:
<a name="l00071"></a>00071         <a class="code" href="OgrePrerequisites_8h.html#18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <span class="comment">// public to allow external locking</span>
<a name="l00072"></a>00072         <a class="code" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>();
<a name="l00073"></a>00073         <span class="keyword">virtual</span> ~ResourceManager();
<a name="l00074"></a>00074 
<a name="l00094"></a>00094         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a> create(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, 
<a name="l00095"></a>00095             <span class="keywordtype">bool</span> isManual = <span class="keyword">false</span>, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0, 
<a name="l00096"></a>00096             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6" title="Name / value parameter pair (first = name, second = value).">NameValuePairList</a>* createParams = 0);
<a name="l00097"></a>00097 
<a name="l00098"></a><a class="code" href="classOgre_1_1ResourceManager.html#f484f2b60c8d9bc87f37fa8af8e630c5">00098</a>         <span class="keyword">typedef</span> std::pair&lt;ResourcePtr, bool&gt; ResourceCreateOrRetrieveResult;
<a name="l00112"></a>00112         <span class="keyword">virtual</span> ResourceCreateOrRetrieveResult createOrRetrieve(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, 
<a name="l00113"></a>00113             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keywordtype">bool</span> isManual = <span class="keyword">false</span>, 
<a name="l00114"></a>00114             <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0, 
<a name="l00115"></a>00115             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6" title="Name / value parameter pair (first = name, second = value).">NameValuePairList</a>* createParams = 0);
<a name="l00116"></a>00116         
<a name="l00124"></a>00124         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMemoryBudget( <span class="keywordtype">size_t</span> bytes);
<a name="l00125"></a>00125 
<a name="l00128"></a>00128         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getMemoryBudget(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00129"></a>00129 
<a name="l00131"></a><a class="code" href="classOgre_1_1ResourceManager.html#0458e4665975faed7311b05879dfac2f">00131</a>         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getMemoryUsage(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMemoryUsage; }
<a name="l00132"></a>00132 
<a name="l00139"></a>00139         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unload(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00140"></a>00140         
<a name="l00147"></a>00147         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unload(<a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle);
<a name="l00148"></a>00148 
<a name="l00161"></a>00161         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unloadAll(<span class="keywordtype">bool</span> reloadableOnly = <span class="keyword">true</span>);
<a name="l00162"></a>00162 
<a name="l00174"></a>00174         <span class="keyword">virtual</span> <span class="keywordtype">void</span> reloadAll(<span class="keywordtype">bool</span> reloadableOnly = <span class="keyword">true</span>);
<a name="l00175"></a>00175 
<a name="l00190"></a>00190         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unloadUnreferencedResources(<span class="keywordtype">bool</span> reloadableOnly = <span class="keyword">true</span>);
<a name="l00191"></a>00191 
<a name="l00205"></a>00205         <span class="keyword">virtual</span> <span class="keywordtype">void</span> reloadUnreferencedResources(<span class="keywordtype">bool</span> reloadableOnly = <span class="keyword">true</span>);
<a name="l00206"></a>00206 
<a name="l00224"></a>00224         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <span class="keyword">remove</span>(<a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a>&amp; r);
<a name="l00225"></a>00225 
<a name="l00243"></a>00243         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <span class="keyword">remove</span>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00244"></a>00244         
<a name="l00262"></a>00262         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <span class="keyword">remove</span>(<a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle);
<a name="l00277"></a>00277         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeAll(<span class="keywordtype">void</span>);
<a name="l00278"></a>00278 
<a name="l00281"></a>00281         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a> getByName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00284"></a>00284         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a> getByHandle(<a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle);
<a name="l00285"></a>00285         
<a name="l00287"></a><a class="code" href="classOgre_1_1ResourceManager.html#9dcc9da5760fcd3b39b4566fe308ad6b">00287</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> resourceExists(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name)
<a name="l00288"></a>00288         {
<a name="l00289"></a>00289             <span class="keywordflow">return</span> !getByName(name).isNull();
<a name="l00290"></a>00290         }
<a name="l00292"></a><a class="code" href="classOgre_1_1ResourceManager.html#d9b4efbeacb17f07710c30bd5048e42f">00292</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> resourceExists(<a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle)
<a name="l00293"></a>00293         {
<a name="l00294"></a>00294             <span class="keywordflow">return</span> !getByHandle(handle).isNull();
<a name="l00295"></a>00295         }
<a name="l00296"></a>00296 
<a name="l00300"></a>00300         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyResourceTouched(<a class="code" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a>* res);
<a name="l00301"></a>00301 
<a name="l00305"></a>00305         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyResourceLoaded(<a class="code" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a>* res);
<a name="l00306"></a>00306 
<a name="l00310"></a>00310         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyResourceUnloaded(<a class="code" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a>* res);
<a name="l00311"></a>00311 
<a name="l00325"></a>00325         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a> load(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, 
<a name="l00326"></a>00326             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keywordtype">bool</span> isManual = <span class="keyword">false</span>, 
<a name="l00327"></a>00327             <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6" title="Name / value parameter pair (first = name, second = value).">NameValuePairList</a>* loadParams = 0);
<a name="l00328"></a>00328 
<a name="l00344"></a><a class="code" href="classOgre_1_1ResourceManager.html#37ec0e845f49b7f7e3dc868456ced1e8">00344</a>         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&amp; getScriptPatterns(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mScriptPatterns; }
<a name="l00345"></a>00345 
<a name="l00359"></a><a class="code" href="classOgre_1_1ResourceManager.html#8240f6bbf3449b1f2acdd476efbde821">00359</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> parseScript(<a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">DataStreamPtr</a>&amp; stream, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName) {}
<a name="l00360"></a>00360 
<a name="l00367"></a><a class="code" href="classOgre_1_1ResourceManager.html#917b69fbaf300dcb0488d14d357296df">00367</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getLoadingOrder(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mLoadOrder; }
<a name="l00368"></a>00368 
<a name="l00370"></a><a class="code" href="classOgre_1_1ResourceManager.html#4a16604e10cd71957fcce705dead9a2c">00370</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getResourceType(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mResourceType; }
<a name="l00371"></a>00371 
<a name="l00372"></a>00372     <span class="keyword">protected</span>:
<a name="l00373"></a>00373 
<a name="l00375"></a>00375         <a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> getNextHandle(<span class="keywordtype">void</span>);
<a name="l00376"></a>00376 
<a name="l00398"></a>00398         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a>* createImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle, 
<a name="l00399"></a>00399             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keywordtype">bool</span> isManual, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader, 
<a name="l00400"></a>00400             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6" title="Name / value parameter pair (first = name, second = value).">NameValuePairList</a>* createParams) = 0;
<a name="l00402"></a>00402         <span class="keyword">virtual</span> <span class="keywordtype">void</span> addImpl( <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a>&amp; res );
<a name="l00404"></a>00404         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeImpl( <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a>&amp; res );
<a name="l00407"></a>00407         <span class="keyword">virtual</span> <span class="keywordtype">void</span> checkUsage(<span class="keywordtype">void</span>);
<a name="l00408"></a>00408 
<a name="l00409"></a>00409 
<a name="l00410"></a>00410     <span class="keyword">public</span>:
<a name="l00411"></a><a class="code" href="classOgre_1_1ResourceManager.html#60ea46f69b1dd9c8e27b9b3d7bd5bc35">00411</a>         <span class="keyword">typedef</span> HashMap&lt; String, ResourcePtr &gt; ResourceMap;
<a name="l00412"></a><a class="code" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">00412</a>         <span class="keyword">typedef</span> std::map&lt;ResourceHandle, ResourcePtr&gt; ResourceHandleMap;
<a name="l00413"></a>00413     <span class="keyword">protected</span>:
<a name="l00414"></a><a class="code" href="classOgre_1_1ResourceManager.html#f7ac79c874e49fadc3cd7e228ab640d8">00414</a>         ResourceHandleMap mResourcesByHandle;
<a name="l00415"></a><a class="code" href="classOgre_1_1ResourceManager.html#c02278ff18455db85fa7473abad9688c">00415</a>         ResourceMap mResources;
<a name="l00416"></a><a class="code" href="classOgre_1_1ResourceManager.html#70a84973505dc749acb913daef662f90">00416</a>         <a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> mNextHandle;
<a name="l00417"></a><a class="code" href="classOgre_1_1ResourceManager.html#7f0a00e183f455cdce1ec9152722f9b7">00417</a>         <span class="keywordtype">size_t</span> mMemoryBudget; <span class="comment">// In bytes</span>
<a name="l00418"></a><a class="code" href="classOgre_1_1ResourceManager.html#8b453ef000d4214e608ace37006cb1ff">00418</a>         <span class="keywordtype">size_t</span> mMemoryUsage; <span class="comment">// In bytes</span>
<a name="l00419"></a>00419 
<a name="l00420"></a>00420         <span class="comment">// IMPORTANT - all subclasses must populate the fields below</span>
<a name="l00421"></a>00421 
<a name="l00423"></a><a class="code" href="classOgre_1_1ResourceManager.html#450dcef1a87442bcfe848ff92c43c6b5">00423</a>         <a class="code" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> mScriptPatterns; 
<a name="l00425"></a><a class="code" href="classOgre_1_1ResourceManager.html#d26313df1d10e7953c90b7c37b373cf8">00425</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mLoadOrder; 
<a name="l00427"></a><a class="code" href="classOgre_1_1ResourceManager.html#86f8c21e087cb00a62d677ef1cd8131d">00427</a>         <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mResourceType; 
<a name="l00428"></a>00428 
<a name="l00429"></a>00429     <span class="keyword">public</span>:
<a name="l00430"></a><a class="code" href="classOgre_1_1ResourceManager.html#4f7da59507a5a8550ea97615ff9afff0">00430</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Wraps iteration over a map.">MapIterator&lt;ResourceHandleMap&gt;</a> <a class="code" href="classOgre_1_1MapIterator.html" title="Wraps iteration over a map.">ResourceMapIterator</a>;
<a name="l00435"></a><a class="code" href="classOgre_1_1ResourceManager.html#4d3289d4636168230da11c1c9794db59">00435</a>         <a class="code" href="classOgre_1_1MapIterator.html" title="Wraps iteration over a map.">ResourceMapIterator</a> getResourceIterator(<span class="keywordtype">void</span>) 
<a name="l00436"></a>00436         {
<a name="l00437"></a>00437             <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Wraps iteration over a map.">ResourceMapIterator</a>(mResourcesByHandle.begin(), mResourcesByHandle.end());
<a name="l00438"></a>00438         }
<a name="l00439"></a>00439 
<a name="l00440"></a>00440     
<a name="l00441"></a>00441 
<a name="l00442"></a>00442     };
<a name="l00443"></a>00443 
<a name="l00444"></a>00444 }
<a name="l00445"></a>00445 
<a name="l00446"></a>00446 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:55 2008
</p>
</body>
</html>
